server:
  port: 8082
  servlet:
    context-path: /

spring:
  autoconfigure:
    # 排除 Druid 自动配置
    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure
  datasource:
    # 指定使用 Druid 数据源
    type: com.alibaba.druid.pool.DruidDataSource
    # 动态数据源文档 https://www.kancloud.cn/tracy5546/dynamic-datasource/content
    dynamic:
      #设置默认的数据源或者数据源组,默认值即为 master
      primary: master
      datasource:
        # 主库数据源
        master:
          driverClassName: org.sqlite.JDBC
          url: jdbc:sqlite::resource:ydl_admin.db?date_string_format=yyyy-MM-dd HH:mm:ss
          username: root
          password: root
        # 营销数据源
        ydl_marketing:
          driverClassName: com.mysql.jdbc.Driver
          url: jdbc:mysql://120.26.213.52:3306/ydl_marketing?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai
          username: ydl
          password: tt12345
        # 医疗数据源
        ydl_yiliao:
          driverClassName: com.mysql.jdbc.Driver
          url: jdbc:mysql://120.26.213.52:3306/ydl_yiliao?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai
          username: ydl
          password: tt12345
    druid:
      initial-size: 5
      max-active: 10
      min-idle: 2
      max-wait: 20000

#日志配置
logging:
  path: logs
  file: ydl-admin.log

#配置qiniu
qiniu:
  accessKey: IAM-1GsslTfwO6pd4Z_t42YJ1kl0MndNXX8Zje1CaBE1
  secretKey: EtPy12_4bLpJ5-yy0l1h_U_jHTxyQRLWI_-QMF6pGqax
  bucket: uedstaticyidianlingcom
  domain: https://static.ydlcdn.com

#配置ydl
ydl:
  marketing:
    updateConfigExtend: https://testapi.ydl.com/marketing/landing/config/updateConfigExtend
    updateWxmpAccessRecord: https://testapi.ydl.com/marketing/landing/config/updateWxmpAccessRecord
    listLandingChannel: https://testapi.ydl.com/marketing/landing/config/listLandingChannel
    channelConfigId: 70,228
  dmp:
    pay_apply:
      query: http://testapi.ydl.com/api/dmp/v1/clouddata/schemas/pay_apply/query
      manger: http://testapi.ydl.com/api/dmp/v1/clouddata/schemas/pay_apply